Back to index

salome-smesh  6.5.0
Namespaces | Variables
SMESH_mechanic_netgen.py File Reference

Go to the source code of this file.

Namespaces

namespace  SMESH_mechanic_netgen

Variables

 SMESH_mechanic_netgen.geom = geompy.geom
tuple SMESH_mechanic_netgen.p1 = geompy.MakeVertex( 100.0, 0.0, 0.0 )
tuple SMESH_mechanic_netgen.p2 = geompy.MakeVertex( 50.0, 50.0, 0.0 )
tuple SMESH_mechanic_netgen.p3 = geompy.MakeVertex( 100.0, 100.0, 0.0 )
tuple SMESH_mechanic_netgen.arc1 = geompy.MakeArc( p1, p2, p3 )
tuple SMESH_mechanic_netgen.p4 = geompy.MakeVertex( 170.0, 100.0, 0.0 )
tuple SMESH_mechanic_netgen.seg1 = geompy.MakeVector( p3, p4 )
tuple SMESH_mechanic_netgen.p5 = geompy.MakeVertex( 200.0, 70.0, 0.0 )
tuple SMESH_mechanic_netgen.p6 = geompy.MakeVertex( 170.0, 40.0, 0.0 )
tuple SMESH_mechanic_netgen.arc2 = geompy.MakeArc( p4, p5, p6 )
tuple SMESH_mechanic_netgen.p7 = geompy.MakeVertex( 120.0, 30.0, 0.0 )
tuple SMESH_mechanic_netgen.arc3 = geompy.MakeArc( p6, p7, p1 )
list SMESH_mechanic_netgen.List1 = []
tuple SMESH_mechanic_netgen.wire1 = geompy.MakeWire( List1 )
tuple SMESH_mechanic_netgen.Id_wire1 = geompy.addToStudy( wire1, "wire1" )
int SMESH_mechanic_netgen.WantPlanarFace = 1
tuple SMESH_mechanic_netgen.face1 = geompy.MakeFace( wire1, WantPlanarFace )
tuple SMESH_mechanic_netgen.Id_face1 = geompy.addToStudy( face1, "face1" )
tuple SMESH_mechanic_netgen.pO = geompy.MakeVertex( 0.0, 0.0, 0.0 )
tuple SMESH_mechanic_netgen.pz = geompy.MakeVertex( 0.0, 0.0, 100.0 )
tuple SMESH_mechanic_netgen.vz = geompy.MakeVector( pO, pz )
tuple SMESH_mechanic_netgen.prism1 = geompy.MakePrismVecH( face1, vz, 100.0 )
tuple SMESH_mechanic_netgen.Id_prism1 = geompy.addToStudy( prism1, "prism1")
tuple SMESH_mechanic_netgen.pc1 = geompy.MakeVertex( 90.0, 50.0, -40.0 )
tuple SMESH_mechanic_netgen.pc2 = geompy.MakeVertex( 170.0, 70.0, -40.0 )
float SMESH_mechanic_netgen.radius = 20.0
float SMESH_mechanic_netgen.height = 180.0
tuple SMESH_mechanic_netgen.cyl1 = geompy.MakeCylinder( pc1, vz, radius, height )
tuple SMESH_mechanic_netgen.cyl2 = geompy.MakeCylinder( pc2, vz, radius, height )
tuple SMESH_mechanic_netgen.Id_Cyl1 = geompy.addToStudy( cyl1, "cyl1" )
tuple SMESH_mechanic_netgen.Id_Cyl2 = geompy.addToStudy( cyl2, "cyl2" )
tuple SMESH_mechanic_netgen.shape = geompy.MakeBoolean( prism1, cyl1, 2 )
tuple SMESH_mechanic_netgen.mechanic = geompy.MakeBoolean( shape, cyl2, 3 )
tuple SMESH_mechanic_netgen.Id_mechanic = geompy.addToStudy( mechanic, "mechanic" )
tuple SMESH_mechanic_netgen.subShellList = geompy.SubShapeAll(mechanic,geompy.ShapeType["SHELL"])
tuple SMESH_mechanic_netgen.subFaceList = geompy.SubShapeAll(mechanic,geompy.ShapeType["FACE"])
tuple SMESH_mechanic_netgen.subEdgeList = geompy.SubShapeAll(mechanic,geompy.ShapeType["EDGE"])
tuple SMESH_mechanic_netgen.mesh = smesh.Mesh(mechanic, "Mesh_mechanic")
 ---------------------------- SMESH --------------------------------------
tuple SMESH_mechanic_netgen.netgen = mesh.Triangle(smesh.NETGEN)
tuple SMESH_mechanic_netgen.ret = mesh.Compute()